package com.javacodegeeks.aws.tasks;

import com.amazonaws.services.dynamodbv2.AmazonDynamoDB;
import com.amazonaws.services.dynamodbv2.model.DeleteTableRequest;
import com.amazonaws.services.dynamodbv2.model.ListTablesResult;

import java.util.List;

public class DeleteAllTables implements Task {

    @Override
    public void run(String[] args, AmazonDynamoDB dynamodb) {
        ListTablesResult listTablesResult = dynamodb.listTables();
        List<String> tableNames = listTablesResult.getTableNames();
        for (String tableName : tableNames) {
            DeleteTableRequest deleteTableReq = new DeleteTableRequest().withTableName(tableName);
            dynamodb.deleteTable(deleteTableReq);
            System.out.println("Deleted table " + tableName);
        }
    }
}
