package com.javacodegeeks.aws.tasks;

import com.amazonaws.services.dynamodbv2.AmazonDynamoDB;
import com.amazonaws.services.dynamodbv2.datamodeling.DynamoDBMapper;
import com.javacodegeeks.aws.model.Product;

public class MapperInsertProducts implements Task {
    @Override
    public void run(String[] args, AmazonDynamoDB dynamodb) {
        DynamoDBMapper mapper = new DynamoDBMapper(dynamodb);

        Product product1 = new Product();
        product1.setName("Apple iPhone 7");
        product1.setPrice(664.9);
        mapper.save(product1);
        System.out.println("Saved product with ID " + product1.getId());

        Product product2 = new Product();
        product2.setName("Samsung Galaxy S8");
        product2.setPrice(543.0);
        mapper.save(product2);
        System.out.println("Saved product with ID " + product2.getId());

        Product product = mapper.load(Product.class, product1.getId());
        System.out.println("Loaded product: id=" + product.getId() +
                "; name=" + product.getName() +
                "; price=" + product.getPrice());
        product = mapper.load(Product.class, product2.getId());
        System.out.println("Loaded product: id=" + product.getId() +
                "; name=" + product.getName() +
                "; price=" + product.getPrice());

        mapper.delete(product1);
        mapper.delete(product2);
    }
}
